Name: mkfontscale
Version: 1.1.0
Release: %mkrel 2
Summary: Create an index of scalable font files for X
Group: Development/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
# add a few extra encodings
Patch0: mkfontscale-1.0.3-mdv.patch
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
For each directory argument, mkfontscale reads all of the scalable font files
in the directory. For every font file found, an X11 font name (XLFD) is
generated, and is written together with the file name to a file fonts.scale in
the directory.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/mkfontscale
%{_mandir}/man1/mkfontscale.*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 360130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 16 2012 tv <tv> 1.1.0-1.mga2
+ Revision: 209639
- new release
- new release

* Thu Jun 30 2011 tv <tv> 1.0.9-1.mga2
+ Revision: 116950
- new release

* Tue Jan 11 2011 dmorgan <dmorgan> 1.0.8-1.mga1
+ Revision: 5941
- imported package mkfontscale

